# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name binary-shared

Name:           ghc-%{pkg_name}
Version:        0.8.3
Release:        4%{?dist}
Summary:        Haskell library for sharing binary elements

# GPL version is not stated
License:        GPL+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
# End cabal-rpm deps

%description
Provides capability to share elements created by binary package.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 10 2013 Jens Petersen <petersen@redhat.com> - 0.8.3-1
- update to 0.8.3
- update to new simplified Haskell Packaging Guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.8.2-3
- change license tag to GPL+ since no indication of license version
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.2-1
- update to 0.8.2

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.8.1-7
- rebuild

* Sun Mar 18 2012 Jens Petersen <petersen@redhat.com> - 0.8.1-6
- update to cabal2spec-0.25

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-5.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.8.1-4.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.8.1-4.1
- rebuild with new gmp

* Tue Jun 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.1-4
- Update to cabal2spec - 0.23.2

* Mon Jun 20 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.1-3
- Update to  cabal2spec - 0.23.1

* Sat Mar 26 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.1-2
- Update to  cabal2spec - 0.22.5

* Sun Oct 10 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.1-1
- Modified description
- Modified license
- Modified dependencies

* Sun Oct 10 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
